Package org.apache.lucene.analysis.ja.tokenattributes

# Interface ReadingAttribute

All Superinterfaces:
  `Attribute`

All Known Implementing Classes:
  `ReadingAttributeImpl`

public interface ReadingAttribute extends Attribute
Attribute for Kuromoji reading data

Note: in some cases this value may not be applicable, and will be null.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPronunciation()`
  `String`
  `getReading()`
  `void`
  `setToken(Token token)`

- ## Method Details

  - ### getReading

    String getReading()

  - ### getPronunciation

    String getPronunciation()

  - ### setToken

    void setToken(Token token)